Google gears successfully compiled for Firefox 3.5 under Linux

Published on July 02, 2009

Google gears successfully compiled for Firefox 3.5 under Linux

    Google has not yet posted an update, but svn is already compiling svn, after some dancing and a small patch. I post version-0.5.25.0 for Linux 64 and 32. and the patch. Checked works on opensuse 11.1 with Fox installed from repositories.

    For x86_64:
    uploaded.ivlis.com/gears-linux-x86_64-opt-0.5.25.0.xpi
    (md5: 6d517d64e8ca4408b2d75572f501c3e1)

    For i386:
    uploaded.ivlis.com/gears-linux-opt-0.5.25.0_0.xpi
    ( : 9da04e7e04ea9bbb41c52f9d3d7b57eb)

    For osX (Thanks to kovpas ):
    kovpas.ru/ggears/gears-osx-opt-0.5.25.0.xpi


    How to build:

    For i386:

    1. svn co gears.googlecode.com/svn/trunk gears_trunk
    2. Apply the patch uploaded.ivlis.com/gears_i386_ff3.5.patch
    3. cd gears_trunk / gears
    4. make BROWSER = FF2 ARCH = i386 ; make BROWSER = FF3 ARCH = i386; make BROWSER = FF31 ARCH = i386; ARCH = installers make the i386
    5. In the directory bin-opt, will be cherished xpi

    for x86_64 the same, only the file tools / config.mk necessary to remove all references to -m32, simply delete these 3 characters, well, from the point of make write ARCH = x86_64.

    UPD: Many thanks to roTuKa for providing temporary hosting